### Property

# Gtk FileDialog:initial-name

since: 4.10

#### Declaration

    property initial-name: utf8 [ read, write ]

#### Description [src]

The initial name, that is, the filename that is initially selected in the file chooser dialog.

Type: | `gchar*`
Available since: | 4.10

Default value | NULL
Getter method | `gtk_file_dialog_get_initial_name()`
Setter method | `gtk_file_dialog_set_initial_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no